package com.DevAsh.settings_plugin;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import android.content.Intent;
import android.app.Activity;
import android.net.wifi.WifiManager;
import android.provider.Settings;







/** SettingsPlugin */
public class SettingsPlugin implements MethodCallHandler {
  /** Plugin registration. */


  Activity activity;
  SettingsPlugin(Activity activity){
    this.activity = activity;
  }

  
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "settings_plugin");
    channel.setMethodCallHandler(new SettingsPlugin(registrar.activity()));
  }



  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + android.os.Build.VERSION.RELEASE);
    } else if (call.method.equals("Bluetooth")) {
      Intent intentOpenBluetoothSettings = new Intent();
      intentOpenBluetoothSettings.setAction(android.provider.Settings.ACTION_BLUETOOTH_SETTINGS); 
      activity.startActivity(intentOpenBluetoothSettings); 
   } 
   else if (call.method.equals("Wifi")) {
     activity.startActivity(new Intent(WifiManager.ACTION_PICK_WIFI_NETWORK));
   } 
   else if (call.method.equals("Security_Locations")) {
     Intent intent = new Intent(Settings.ACTION_SECURITY_SETTINGS); 
     activity.startActivity(intent);
   } 
   else if (call.method.equals("Date_Time")) {
     activity.startActivityForResult(new Intent(android.provider.Settings.ACTION_DATE_SETTINGS), 0);
   }
   else if (call.method.equals("Display")) {
     Intent intent = new Intent(Settings.ACTION_DISPLAY_SETTINGS); 
     activity.startActivity(intent);
   } 
   else if (call.method.equals("Sound")) {
     Intent intent = new Intent(Settings.ACTION_SOUND_SETTINGS); 
     activity.startActivity(intent);
   } 
    
    else {
      result.notImplemented();
    }
  }
}
